---
title: Get export status
url: https://anyrow.ai/docs/api/export/retrieve
canonical_url: https://anyrow.ai/docs/api/export/retrieve
---

# Get export status

`GET /v1/projects/{project_id}/exports/{export_id}`

Authentication: `Authorization: ApiKey {your_api_key}`.

Requires `tables:read`.

## Path parameters

- `project_id` (string, required)
- `export_id` (string, required)

## Returns

200 `application/json`.

- `created_at` (integer, required): At least 0.
- `updated_at` (integer, required): At least 0.
- `id` (string, required)
- `project_id` (string, required)
- `table_id` (string, required, nullable)
- `actor_id` (string, required)
- `checksum` (string, required)
- `status` (string, required): One of `processing`, `complete`, `failed`.
- `filter_json` (string, required, nullable)
- `row_count` (integer, required, nullable)
- `json_key` (string, required, nullable)
- `csv_key` (string, required, nullable)
- `xlsx_key` (string, required, nullable)
- `error` (string, required, nullable)
- `expires_at` (integer, required, nullable)

## Errors

- 404: `export_not_found`, `not_found`
- 500: `captcha_unavailable`, `internal_server_error`

Errors every endpoint can return: [Errors](https://anyrow.ai/docs/api/errors.md).

## Request

```bash title="cURL"
curl 'https://api.anyrow.ai/v1/projects/{project_id}/exports/{export_id}' \
  -H 'Authorization: ApiKey {your_api_key}'
```

```ts title="TypeScript"
import { AnyrowSDK } from "@anyrow/sdk"

const anyrow = new AnyrowSDK({
  baseURL: "https://api.anyrow.ai",
  headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },
})

const { data, error } = await anyrow.export.retrieve({
  params: {
    project_id: "{project_id}",
    export_id: "{export_id}"
  },
})
```

```python title="Python"
import os

from anyrow import SDK, ClientConfig

anyrow = SDK(ClientConfig(
    base_url="https://api.anyrow.ai",
    bearer_token=os.environ["ANYROW_API_KEY"],
    auth_header_prefix="ApiKey ",
))

result = anyrow.export.retrieve("{project_id}", "{export_id}")
```

```go title="Go"
package main

import (
	"context"
	"fmt"
	"os"

	sdk "github.com/anyrow/sdk-go"
)

func main() {
	anyrow := sdk.NewClient(sdk.Config{
		BaseURL:     "https://api.anyrow.ai",
		BearerToken: os.Getenv("ANYROW_API_KEY"),
	})
	ctx := context.Background()

	result, err := anyrow.Export.Retrieve(ctx, "{project_id}", "{export_id}", nil)
	if err != nil {
		panic(err)
	}
	fmt.Println(result)
}
```

```rust title="Rust"
use anyrow::{Client, ClientConfig};

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let anyrow = Client::new(ClientConfig {
        base_url: "https://api.anyrow.ai".to_string(),
        bearer_token: std::env::var("ANYROW_API_KEY").ok(),
        ..Default::default()
    });

    let result = anyrow.export().retrieve("{project_id}", "{export_id}", &Default::default()).await?;
    println!("{result:?}");
    Ok(())
}
```

```csharp title="C#"
using Anyrow;

var anyrow = new AnyrowClient(new ClientConfig
{
    BaseUrl = "https://api.anyrow.ai",
    ApiKey = Environment.GetEnvironmentVariable("ANYROW_API_KEY"),
});

var result = await anyrow.Export.RetrieveAsync("{project_id}", "{export_id}");
Console.WriteLine(result);
```

```java title="Java"
import ai.anyrow.AnyrowClient;

public class Example {
    public static void main(String[] args) throws Exception {
        AnyrowClient anyrow = AnyrowClient.builder()
            .baseUrl("https://api.anyrow.ai")
            .apiKey(System.getenv("ANYROW_API_KEY"))
            .build();

        var result = anyrow.export().retrieve("{project_id}", "{export_id}");
        System.out.println(result);
    }
}
```

## Response

```json title="200"
{
  "created_at": 1711468800000,
  "updated_at": 1711468800000,
  "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6",
  "project_id": "string",
  "table_id": "string",
  "actor_id": "string",
  "checksum": "string",
  "status": "processing",
  "filter_json": "string",
  "row_count": 42,
  "json_key": "string",
  "csv_key": "string",
  "xlsx_key": "string",
  "error": "string",
  "expires_at": 1711468800000
}
```

```json title="404"
{
  "error_key": "export_not_found",
  "fields": {
    "key": [
      {
        "error_key": "string",
        "message": "string",
        "path": "string"
      }
    ]
  },
  "message": "string",
  "status": 404,
  "status_key": "string",
  "success": false,
  "vars": {
    "key": "string"
  }
}
```

```json title="500"
{
  "error_key": "captcha_unavailable",
  "fields": {
    "key": [
      {
        "error_key": "string",
        "message": "string",
        "path": "string"
      }
    ]
  },
  "message": "string",
  "status": 500,
  "status_key": "string",
  "success": false,
  "vars": {
    "key": "string"
  }
}
```
